
Figure - Bug #117009
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】【偶现】首次购车激活页面先上划后向左划动，会出现卡住的情况
2023-03-17 17:16 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-03-17

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303170158

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-04-13

Test Type: ST Root cause: 视频播放及音频同步引起的卡顿。

Description

【前提条件】

1、设备刷机后成功启动

【测试步骤】

1、出现首次购车激活页面后，先上划一下后向左滑动

【预期结果】

1、正常进入最后一个界面，点击完成正常进入主页

【实际结果】

1、界面卡住，点击和滑动无法生效

History

#1 - 2023-03-20 17:55 - CD TEST-方永红

- Priority changed from Normal to High

- Severity changed from Normal to Major

#2 - 2023-03-24 18:12 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Priority changed from High to Normal

■ 我的分析

从日志文件中发现下列异常

--------------------

//引导画面申请media焦点

03-17 03:02:51.223  1340  1758 I MediaFocusControl: abandonAudioFocus() from uid/pid 1000/2747 clientId=android.media.AudioManager@11fffb3

03-17 03:02:51.224  1340  3791 I MediaFocusControl: requestAudioFocus() from uid/pid 1000/2747 AA=USAGE_MEDIA/CONTENT_TYPE_MOVIE

clientId=android.media.AudioManager@11fffb3 callingPack=com.thundercomm.tcsetupwizard req=1 flags=0x0 sdk=31

03-17 03:02:51.224  1340  3791 I AudioService.FadeOutManager: unfadeOutUid() uid:1000

03-17 03:02:51.228  2394  3712 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:167 deviceId:0 type:android.media.SoundPool u/pid:10078/2412

state:idle attr:AudioAttributes: usage=USAGE_ASSISTANCE_SONIFICATION content=CONTENT_TYPE_SONIFICATION flags=0x800 tags= bundle=null

sessionId:0

03-17 03:02:51.228  2394  3712 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:183 deviceId:0 type:android.media.SoundPool u/pid:1000/2612

state:idle attr:AudioAttributes: usage=USAGE_ASSISTANCE_SONIFICATION content=CONTENT_TYPE_SONIFICATION flags=0x801 tags= bundle=null
sessionId:0

03-17 03:02:51.228  2394  3712 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:343 deviceId:0 type:android.media.MediaPlayer u/pid:1000/2747

state:idle attr:AudioAttributes: usage=USAGE_MEDIA content=CONTENT_TYPE_MOVIE flags=0x800 tags= bundle=null sessionId:177

03-17 03:02:51.228  2394  3712 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:159 deviceId:0 type:android.media.SoundPool u/pid:1000/1340

state:idle attr:AudioAttributes: usage=USAGE_ASSISTANCE_SONIFICATION content=CONTENT_TYPE_SONIFICATION flags=0x800 tags= bundle=null

sessionId:0

03-17 03:02:51.228  2394  3712 D Avrcp_ext: AudioManager Player: AudioPlaybackConfiguration piid:351 deviceId:0 type:android.media.MediaPlayer u/pid:1000/2747

state:idle attr:AudioAttributes: usage=USAGE_UNKNOWN content=CONTENT_TYPE_UNKNOWN flags=0x800 tags= bundle=null sessionId:225

03-17 03:02:51.228  2394  3712 D Avrcp_ext: AudioManager isPlaying: false, mAudioPlaybackIsActive = false

03-17 03:02:51.228  2394  3712 D Avrcp_ext: AudioManager Reset Active Player

//5秒后发生ANR

03-17 03:02:56.531  1340  4809 I am_anr  : [0,2747,com.thundercomm.tcsetupwizard,818462285,Input dispatching timed out (3baff1e

com.thundercomm.tcsetupwizard/com.thundercomm.tcsetupwizard.TcSetupSecondActivity (server) is not responding. Waited 5000ms for MotionEvent(deviceId=2,

eventTime=64844226000, source=0x00005002, displayId=0, action=MOVE, actionButton=0x00000000, flags=0x00000000, metaState=0x00000000,

buttonState=0x00000000, classification=NONE, edgeFlags=0x00000000, xPrecision=1.0, yPrecision=1.0, xCursorPosition=nan, yCursorPosition=nan, pointers=[0:

(1732.0, 707.0)]), policyFlags=0x62000000)]

03-17 03:02:59.955  1340  4809 I ActivityManager: Done dumping

03-17 03:02:59.958  1340  4809 E ActivityManager: ANR in com.thundercomm.tcsetupwizard (com.thundercomm.tcsetupwizard/.TcSetupSecondActivity)

03-17 03:02:59.958  1340  4809 E ActivityManager: PID: 2747

03-17 03:02:59.958  1340  4809 E ActivityManager: Reason: Input dispatching timed out (3baff1e

com.thundercomm.tcsetupwizard/com.thundercomm.tcsetupwizard.TcSetupSecondActivity (server) is not responding. Waited 5000ms for MotionEvent(deviceId=2,

eventTime=64844226000, source=0x00005002, displayId=0, action=MOVE, actionButton=0x00000000, flags=0x00000000, metaState=0x00000000,

buttonState=0x00000000, classification=NONE, edgeFlags=0x00000000, xPrecision=1.0, yPrecision=1.0, xCursorPosition=nan, yCursorPosition=nan, pointers=[0:

(1732.0, 707.0)]), policyFlags=0x62000000)

03-17 03:02:59.958  1340  4809 E ActivityManager: Parent: com.thundercomm.tcsetupwizard/.TcSetupSecondActivity

03-17 03:02:59.958  1340  4809 E ActivityManager: ErrorId: 4b033dfb-c205-4491-a949-20356f93d5d3

03-17 03:02:59.958  1340  4809 E ActivityManager: Frozen: false

03-17 03:02:59.958  1340  4809 E ActivityManager: Load: 3.15 / 1.17 / 0.42

03-17 03:02:59.958  1340  4809 E ActivityManager: ----- Output from /proc/pressure/memory -----

03-17 03:02:59.958  1340  4809 E ActivityManager: some avg10=0.00 avg60=0.00 avg300=0.00 total=0

03-17 03:02:59.958  1340  4809 E ActivityManager: full avg10=0.00 avg60=0.00 avg300=0.00 total=0

03-17 03:02:59.958  1340  4809 E ActivityManager: ----- End output from /proc/pressure/memory -----

03-17 03:02:59.958  1340  4809 E ActivityManager: 

03-17 03:02:59.958  1340  4809 E ActivityManager: CPU usage from 35633ms to 0ms ago (2023-03-17 03:02:20.875 to 2023-03-17 03:02:56.508):

03-17 03:02:59.958  1340  4809 E ActivityManager:   17% 1340/system_server: 11% user + 6% kernel / faults: 31856 minor 4 major

03-17 03:02:59.958  1340  4809 E ActivityManager:   11% 841/vendor.qti.hardware.display.composer-service: 7% user + 4.5% kernel / faults: 128 minor

03-17 03:02:59.958  1340  4809 E ActivityManager:   9.7% 1158/mediaserver: 4.5% user + 5.2% kernel / faults: 7004 minor

03-17 03:02:59.958  1340  4809 E ActivityManager:   6.1% 983/surfaceflinger: 4% user + 2.1% kernel / faults: 503 minor

03-17 03:02:59.958  1340  4809 E ActivityManager:   3.5% 1156/media.extractor: 2.3% user + 1.2% kernel / faults: 11884 minor

--------------------

根据上述日志，怀疑引起ANR的原因为申请了media焦点导致

目前的激活引导动画是通过视频播放实现的

■ 下一步解析计划

等待客户提供未激活动画，重构引导画面，替换视频播放为动画

#3 - 2023-04-10 10:47 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖
Hi 天颖

需要将目前引导画面的实现，从视频播放，改为用动画实现

已激活动画 已有

未激活动画 未提供，暂时用其他动画替代，可以自己先搞一个简单的未激活动画

#4 - 2023-04-10 19:59 - CD FW-程天颖

正在使用littie动画代替mp4视频

#5 - 2023-04-11 15:26 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD FW-廖涛

帮忙替换一下动画，谢谢

#6 - 2023-04-13 20:26 - CD FW-廖涛

■ Current conclusion

已处理，代码已提交，等待 Review 入库。

■ My analysis

已将激活动画从播放视频变更为使用 Lottie 加载动画，并通过优化 Lottie 源码，解决了加载大文件动画的内存暴增导致的死机问题。

#7 - 2023-04-13 20:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193241 general/platform/vendor/thundercom

m/apps/TCSetupWizard

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:InitialSetting: Replace video animation with lottie animation.TC-RID: 1201-0200701IssueID: TS-R-BUG-117009Change-Id:

Idb5dba84d038368e3e7aef47a363d2d763673ff2

#8 - 2023-04-13 20:57 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-13

- Root cause set to 视频播放及音频同步引起的卡顿。

■ Current conclusion

已处理，代码已入库。

■ My analysis
■ Next action

测试验证。

#9 - 2023-04-14 11:37 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

【验证版本】

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304140602

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202304140556

【验证情况】

vc1和vx1，各五次

进入激活页面先上划后左滑，左右滑动，未出现卡住崩溃的情况

#10 - 2023-04-14 11:38 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

03171609.txt 4.37 MB 2023-03-17 CDTS_Test 吴诗雨

tlog_ea56a99c_319_0317030416.tar.gz 5.08 MB 2023-03-17 CDTS_Test 吴诗雨

2025-07-04 4/4


